## linux-nvidia-tegra-igx-modules-signed 5.15.0-1012.12+1

=== debian/changelog ===
linux-nvidia-tegra-igx-modules-signed (5.15.0-1012.12+1) jammy; urgency=medium

  * Master version: 5.15.0-1012.12+1

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 08 May 2024 09:34:44 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1012.12) jammy; urgency=medium

  * Master version: 5.15.0-1012.12

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 24 Apr 2024 10:31:47 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1011.11) jammy; urgency=medium

  * Master version: 5.15.0-1011.11

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 16 Apr 2024 11:28:21 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1010.10) jammy; urgency=medium

  * Master version: 5.15.0-1010.10

  * Add initial r36.3 out-of-tree module meta packages (LP: #2060071)
    - [Packaging] Add Rel-36.3 branch meta packaging

  * Include networking drivers used on Tegra platforms in initrd.img
    (LP: #2059958)
    - [Packaging] Include Tegra networking drivers in initrd

  * Produce kernel snaps for linux-nvidia-tegra-igx (LP: #2059968)
    - [Packaging] Add modules conf for ubuntu-core-initramfs

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 02 Apr 2024 18:52:36 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1009.9) jammy; urgency=medium

  * Master version: 5.15.0-1009.9

  * Add headers package for IGX out-of-tree modules (LP: #2054483)
    - [Packaging] Recommend header packages

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 20 Feb 2024 17:22:20 -0600

linux-nvidia-tegra-igx-modules-signed (5.15.0-1008.8) jammy; urgency=medium

  * Master version: 5.15.0-1008.8

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 19 Jan 2024 12:29:47 -0600

linux-nvidia-tegra-igx-modules-signed (5.15.0-1000.0) jammy; urgency=medium

  * Initialize linux-nvidia-tegra-igx-modules-signed.

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 05 May 2023 10:46:30 +0200

linux-bluefield-modules-signed (5.15.0-1015.17+3) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Mon, 01 May 2023 11:04:49 +0200

linux-bluefield-modules-signed (5.15.0-1015.17+2) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Thu, 27 Apr 2023 17:09:23 +0200

linux-bluefield-modules-signed (5.15.0-1015.17+1) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Wed, 26 Apr 2023 15:25:42 +0200

linux-bluefield-modules-signed (5.15.0-1015.17) jammy; urgency=medium

  * Master version: 5.15.0-1015.17

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Thu, 06 Apr 2023 17:17:41 +0200

linux-bluefield-modules-signed (5.15.0-1014.16+1) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Mon, 20 Mar 2023 18:17:05 +0100

linux-bluefield-modules-signed (5.15.0-1014.16) jammy; urgency=medium

  * Master version: 5.15.0-1014.16

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Wed, 08 Mar 2023 16:11:00 +0100

linux-bluefield-modules-signed (5.15.0-1013.15) jammy; urgency=medium

  * Master version: 5.15.0-1013.15

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Fri, 17 Feb 2023 12:24:37 +0100

linux-bluefield-modules-signed (5.15.0-1012.14) jammy; urgency=medium

  * Master version: 5.15.0-1012.14

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Tue, 24 Jan 2023 12:38:58 +0100

linux-bluefield-modules-signed (5.15.0-0.0) jammy; urgency=medium

  * Initial packaging.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Wed, 23 Nov 2022 17:34:40 +0100
