=== debian/control ===
Source: linux-nvidia-tegra-igx-modules-signed
Section: kernel
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends: debhelper (>= 10), dh-exec
Build-Depends-Arch:
 linux-nvidia-tegra-igx-modules (= 5.15.0-1012.12+1),
 python3,
 python3-apt,
Standards-Version: 3.9.4

Package: linux-nvidia-tegra-igx-tegra-igpu-igx-defaults
Architecture: all
Multi-Arch: foreign
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
Description: Extra configuration required for IGX Orin iGPU modules.
 This package contains modprobe.d configuration required for loading IGX Orin
 iGPU modules with the appropriate module parameters.

Package: linux-nvidia-tegra-igx-r36.3
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-igx-r36.x-meta
Conflicts: linux-nvidia-tegra-igx-r36.x-meta
Recommends:
 linux-modules-tegra-igpu-r36.3-nvidia-tegra-igx (= ${binary:Version}),
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1012-nvidia-tegra-igx,
 linux-modules-5.15.0-1012-nvidia-tegra-igx,
 linux-modules-extra-5.15.0-1012-nvidia-tegra-igx,
 linux-modules-tegra-oot-igx-5.15.0-1012-nvidia-tegra-igx (= ${binary:Version}),
 linux-headers-5.15.0-1012-nvidia-tegra-igx,
Description: Meta package for Tegra-IGX kernel with R36.3 out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra-igx kernel
 with out-of-tree Tegra modules from the Rel-36.3 branch.
 .
 This track will only receive kernel updates for the lifetime of the Rel-36.3
 branch. Updating to newer Rel-36 releases will require manual intervention.

Package: linux-nvidia-tegra-igx-rt-r36.3
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-igx-r36.x-meta
Conflicts: linux-nvidia-tegra-igx-r36.x-meta
Recommends:
 linux-modules-tegra-igpu-r36.3-nvidia-tegra-igx-rt (= ${binary:Version}),
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1012-nvidia-tegra-igx-rt,
 linux-modules-5.15.0-1012-nvidia-tegra-igx-rt,
 linux-modules-tegra-oot-igx-5.15.0-1012-nvidia-tegra-igx-rt (= ${binary:Version}),
 linux-headers-5.15.0-1012-nvidia-tegra-igx-rt,
Description: Meta package for Tegra-IGX-RT kernel with R36.3 out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra-igx-rt kernel
 with out-of-tree Tegra modules from the Rel-36.3 branch.
 .
 This track will only receive kernel updates for the lifetime of the Rel-36.3
 branch. Updating to newer Rel-36 releases will require manual intervention.


Package: linux-modules-tegra-oot-igx-5.15.0-1012-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1012-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1012-nvidia-tegra-igx,
Recommends:
 linux-headers-tegra-oot-igx-5.15.0-1012-nvidia-tegra-igx,
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree Tegra kernel modules for version 5.15.0-1012
 This package provides the out-of-tree Tegra Linux kernel modules for version
 5.15.0-1012.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-nvidia-tegra-igx kernel meta package, which will ensure upgrades work correctly,
 and that supporting packages are also installed

Package: linux-modules-tegra-igpu-igx-5.15.0-1012-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends}
 linux-image-5.15.0-1012-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1012-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-igx-defaults (>= ${binary:Version}),
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree iGPU Tegra kernel modules for version 5.15.0-1012
 This package provides the out-of-tree iGPU Tegra Linux kernel modules for version
 5.15.0-1012.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-igpu-igx-nvidia-tegra-igx kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-igpu-r36.3-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends: linux-modules-tegra-igpu-igx-5.15.0-1012-nvidia-tegra-igx
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
Description: Extra tegra-igpu-r36.3 modules for the nvidia-tegra-igx kernel flavour
 Install extra signed tegra-igpu-r36.3 modules compatible with the nvidia-tegra-igx kernel flavour.


Package: linux-modules-tegra-oot-igx-5.15.0-1012-nvidia-tegra-igx-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1012-nvidia-tegra-igx-rt | linux-image-unsigned-5.15.0-1012-nvidia-tegra-igx-rt,
Recommends:
 linux-headers-tegra-oot-igx-5.15.0-1012-nvidia-tegra-igx-rt,
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree Tegra kernel modules for version 5.15.0-1012
 This package provides the out-of-tree Tegra Linux kernel modules for version
 5.15.0-1012.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-nvidia-tegra-igx-rt kernel meta package, which will ensure upgrades work correctly,
 and that supporting packages are also installed

Package: linux-modules-tegra-igpu-igx-5.15.0-1012-nvidia-tegra-igx-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends}
 linux-image-5.15.0-1012-nvidia-tegra-igx-rt | linux-image-unsigned-5.15.0-1012-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-igx-defaults (>= ${binary:Version}),
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree iGPU Tegra kernel modules for version 5.15.0-1012
 This package provides the out-of-tree iGPU Tegra Linux kernel modules for version
 5.15.0-1012.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-igpu-igx-nvidia-tegra-igx-rt kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-igpu-r36.3-nvidia-tegra-igx-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends: linux-modules-tegra-igpu-igx-5.15.0-1012-nvidia-tegra-igx-rt
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
Description: Extra tegra-igpu-r36.3 modules for the nvidia-tegra-igx-rt kernel flavour
 Install extra signed tegra-igpu-r36.3 modules compatible with the nvidia-tegra-igx-rt kernel flavour.
