## linux-nvidia-tegra-igx-modules-signed 5.15.0-1018.18+1

=== debian/changelog ===
linux-nvidia-tegra-igx-modules-signed (5.15.0-1018.18+1) jammy; urgency=medium

  * Main version: 5.15.0-1018.18

  * Extras version: 5.15.0-1018.18+1

  * Display driver version mismatch when IGX users on kernel <= 1012 do an
    upgrade (LP: #2082634)
    - [Packaging] Allow devices with older meta packages to upgrade to r36.3.1
    - [Packaging] Move -r36.3.1-upgrade scripts into -r36.3.1 metas

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 08 Oct 2024 14:38:48 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1018.18) jammy; urgency=medium

  * Main version: 5.15.0-1018.18

  * Display driver version mismatch when IGX users on kernel <= 1012 do an
    upgrade (LP: #2082634)
    - [Packaging] Add kernel-testing provides to -jetson branch meta
    - [Packaging] Do not provide ABI-versioned iGPU meta virtual packages
    - [Packaging] Allow iGPU recommends to be satisfied by dGPU drivers if present
    - [Packaging] Pin r36.3.1 to 1018, retire the branch
    - [Packaging] debconf warning for Jetson users on unbranched metapackage

 -- Jacob Martin <jacob.martin@canonical.com>  Sun, 06 Oct 2024 22:10:46 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1017.17) jammy; urgency=medium

  * Main version: 5.15.0-1017.17

  * Produce kernel snaps for linux-nvidia-tegra-igx (LP: #2059968)
    - [Packaging] ubuntu-core-initramfs: remove wifi drivers

 -- Noah Wager <noah.wager@canonical.com>  Tue, 10 Sep 2024 15:44:05 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1016.16) jammy; urgency=medium

  * Main version: 5.15.0-1016.16

 -- Noah Wager <noah.wager@canonical.com>  Thu, 22 Aug 2024 14:41:45 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1015.15) jammy; urgency=medium

  * Main version: 5.15.0-1015.15

 -- Noah Wager <noah.wager@canonical.com>  Thu, 01 Aug 2024 10:28:26 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1014.14+2) jammy; urgency=medium

  * Main version: 5.15.0-1014.14+2

 -- Noah Wager <noah.wager@canonical.com>  Wed, 24 Jul 2024 12:34:20 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1014.14+1) jammy; urgency=medium

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1014.14 -proposed tracker
    (LP: #2072802)
    - [Packaging] Add tegra-oot r36.4.1 branch

 -- Noah Wager <noah.wager@canonical.com>  Fri, 19 Jul 2024 08:59:12 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1014.14) jammy; urgency=medium

  * Main version: 5.15.0-1014.14

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1014.14 -proposed tracker
    (LP: #2072802)
    - [Packaging] Add tegra-mofed-23.10 packages
    - [Packaging] Add tegra-oot lws branch

 -- Noah Wager <noah.wager@canonical.com>  Sat, 13 Jul 2024 15:53:43 -0400

linux-nvidia-tegra-igx-modules-signed (5.15.0-1013.13) jammy; urgency=medium

  * Main version: 5.15.0-1013.13

  * Packaging resync (LP: #1786013)
    - [Packaging] remove update-version script

  * Add OOTM branching to fix GPU driver version mismatch (LP: #2072413)
    - [Packaging] Remove deprecated ABI-named packages
    - [Packaging] Remove conflicts from transitional r36.3 metas
    - [Packaging] Only conflict linux metas in the same flavour
    - [Packaging] Conflict branches through virtual package
    - [Packaging] Generate branches in debian/rules instead of script
    - [Packaging] Add iGPU metapackage
    - [Packaging] Remove lws branch

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1013.13 -proposed tracker
    (LP: #2072515)
    - [Packaging] Add missing separator to igpu meta Depends

 -- Noah Wager <noah.wager@canonical.com>  Fri, 12 Jul 2024 21:01:09 -0400

linux-nvidia-tegra-igx-modules-signed (5.15.0-1012.12+2) jammy; urgency=medium

  * Master version: 5.15.0-1012.12+2

 -- Noah Wager <noah.wager@canonical.com>  Fri, 05 Jul 2024 19:54:53 +0000
