=== debian/control ===
Source: linux-nvidia-tegra-igx-modules-signed
Section: kernel
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends: debhelper (>= 10), dh-exec
Build-Depends-Arch:
 linux-nvidia-tegra-igx-modules (= 5.15.0-1018.18+1),
 python3,
 python3-apt,
Standards-Version: 3.9.4

Package: linux-nvidia-tegra-igx-tegra-igpu-igx-defaults
Architecture: all
Multi-Arch: foreign
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
Description: Extra configuration required for IGX Orin iGPU modules.
 This package contains modprobe.d configuration required for loading IGX Orin
 iGPU modules with the appropriate module parameters.

Package: linux-nvidia-tegra-igx-r36.3
Architecture: arm64
Section: oldlibs
Priority: optional
Depends: linux-nvidia-tegra-igx-r36.3.1
Description: Meta package for Tegra-IGX kernel with R36.3 out-of-tree modules (dummy transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: linux-nvidia-tegra-igx-rt-r36.3
Architecture: arm64
Section: oldlibs
Priority: optional
Depends: linux-nvidia-tegra-igx-rt-r36.3.1
Description: Meta package for Tegra-IGX-RT kernel with R36.3 out-of-tree modules (dummy transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: linux-modules-tegra-oot-r36.3.1-5.15.0-1018-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx,
Recommends:
 linux-headers-tegra-oot-r36.3.1-5.15.0-1018-nvidia-tegra-igx,
Provides: linux-nvidia-tegra-igx-tegra-oot-branch-5.15.0-1018-nvidia-tegra-igx
Conflicts: linux-nvidia-tegra-igx-tegra-oot-branch-5.15.0-1018-nvidia-tegra-igx
Replaces: linux-nvidia-tegra-igx-tegra-oot-branch-5.15.0-1018-nvidia-tegra-igx
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree Tegra kernel modules for version 5.15.0-1018
 This package provides the out-of-tree Tegra Linux kernel modules for version
 5.15.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-nvidia-tegra-igx-r36.3.1 kernel meta package, which will ensure upgrades work correctly,
 and that supporting packages are also installed

Package: linux-modules-tegra-igpu-r36.3.1-5.15.0-1018-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-igx-defaults (>= ${binary:Version}),
Provides: linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx
Replaces: linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree iGPU Tegra kernel modules for version 5.15.0-1018
 This package provides the out-of-tree iGPU Tegra Linux kernel modules for version
 5.15.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-igpu-r36.3.1-nvidia-tegra-igx kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-igpu-r36.3.1-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-igx-tegra-igpu-branch-meta-nvidia-tegra-igx
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1013-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1014-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1015-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1016-nvidia-tegra-igx,
Replaces:
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1013-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1014-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1015-nvidia-tegra-igx,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1016-nvidia-tegra-igx,
Depends: linux-modules-tegra-igpu-r36.3.1-5.15.0-1018-nvidia-tegra-igx
Description: Extra r36.3.1 tegra-igpu-igx modules for the nvidia-tegra-igx flavour
 Install extra signed r36.3.1 tegra-igpu-igx modules compatible with the nvidia-tegra-igx flavour.

Package: linux-nvidia-tegra-igx-r36.3.1
Architecture: arm64
Section: kernel
Priority: optional
Pre-Depends: debconf (>= 0.2.17), dmidecode
Provides:
 linux-nvidia-tegra-igx-r36.3.1-skip-jetson-igpu,
Conflicts:
 linux-nvidia-tegra-igx-r36.3 (<< ${binary:Version})
Recommends:
 linux-modules-tegra-igpu-r36.3.1-5.15.0-1018-nvidia-tegra-igx (= ${binary:Version}) | nvidia-dkms-kernel | nvidia-prebuilt-kernel,
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx,
 linux-modules-5.15.0-1018-nvidia-tegra-igx,
 linux-modules-extra-5.15.0-1018-nvidia-tegra-igx ,
 linux-modules-tegra-oot-r36.3.1-5.15.0-1018-nvidia-tegra-igx (= ${binary:Version}),
 linux-headers-5.15.0-1018-nvidia-tegra-igx,
Replaces:
 linux-nvidia-tegra-igx-r36.x-meta,
 linux-nvidia-tegra-igx-r36.3 (<< ${binary:Version})
Description: Meta package for Tegra-IGX kernel with r36.3.1 out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra-igx kernel
 with out-of-tree Tegra modules from the r36.3.1 branch.
 .
 This track will only receive kernel updates for the lifetime of the r36.3.1
 branch. Updating to newer releases will require manual intervention.

Package: linux-modules-tegra-oot-r36.3.1-5.15.0-1018-nvidia-tegra-igx-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx-rt | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx-rt,
Recommends:
 linux-headers-tegra-oot-r36.3.1-5.15.0-1018-nvidia-tegra-igx-rt,
Provides: linux-nvidia-tegra-igx-tegra-oot-branch-5.15.0-1018-nvidia-tegra-igx-rt
Conflicts: linux-nvidia-tegra-igx-tegra-oot-branch-5.15.0-1018-nvidia-tegra-igx-rt
Replaces: linux-nvidia-tegra-igx-tegra-oot-branch-5.15.0-1018-nvidia-tegra-igx-rt
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree Tegra kernel modules for version 5.15.0-1018
 This package provides the out-of-tree Tegra Linux kernel modules for version
 5.15.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-nvidia-tegra-igx-rt-r36.3.1 kernel meta package, which will ensure upgrades work correctly,
 and that supporting packages are also installed

Package: linux-modules-tegra-igpu-r36.3.1-5.15.0-1018-nvidia-tegra-igx-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx-rt | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-igx-defaults (>= ${binary:Version}),
Provides: linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx-rt
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx-rt
Replaces: linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx-rt
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree iGPU Tegra kernel modules for version 5.15.0-1018
 This package provides the out-of-tree iGPU Tegra Linux kernel modules for version
 5.15.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-igpu-r36.3.1-nvidia-tegra-igx-rt kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-igpu-r36.3.1-nvidia-tegra-igx-rt
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-igx-tegra-igpu-branch-meta-nvidia-tegra-igx-rt
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1013-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1014-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1015-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1016-nvidia-tegra-igx-rt,
Replaces:
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1013-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1014-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1015-nvidia-tegra-igx-rt,
 linux-nvidia-tegra-igx-tegra-igpu-branch-meta-5.15.0-1016-nvidia-tegra-igx-rt,
Depends: linux-modules-tegra-igpu-r36.3.1-5.15.0-1018-nvidia-tegra-igx-rt
Description: Extra r36.3.1 tegra-igpu-igx modules for the nvidia-tegra-igx-rt flavour
 Install extra signed r36.3.1 tegra-igpu-igx modules compatible with the nvidia-tegra-igx-rt flavour.

Package: linux-nvidia-tegra-igx-rt-r36.3.1
Architecture: arm64
Section: kernel
Priority: optional
Pre-Depends: debconf (>= 0.2.17), dmidecode
Provides:
 linux-nvidia-tegra-igx-rt-r36.3.1-skip-jetson-igpu,
Conflicts:
 linux-nvidia-tegra-igx-rt-r36.3 (<< ${binary:Version}),
Recommends:
 linux-modules-tegra-igpu-r36.3.1-5.15.0-1018-nvidia-tegra-igx-rt (= ${binary:Version}) | nvidia-dkms-kernel | nvidia-prebuilt-kernel,
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx-rt,
 linux-modules-5.15.0-1018-nvidia-tegra-igx-rt,
 linux-modules-tegra-oot-r36.3.1-5.15.0-1018-nvidia-tegra-igx-rt (= ${binary:Version}),
 linux-headers-5.15.0-1018-nvidia-tegra-igx-rt,
Replaces:
 linux-nvidia-tegra-igx-rt-r36.x-meta,
 linux-nvidia-tegra-igx-rt-r36.3 (<< ${binary:Version}),
Description: Meta package for Tegra-IGX kernel with r36.3.1 out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra-igx-rt kernel
 with out-of-tree Tegra modules from the r36.3.1 branch.
 .
 This track will only receive kernel updates for the lifetime of the r36.3.1
 branch. Updating to newer releases will require manual intervention.


Package: linux-modules-tegra-igpu-r36.3-nvidia-tegra-igx
Architecture: arm64
Section: oldlibs
Priority: optional
Depends: linux-modules-tegra-igpu-r36.3.1-nvidia-tegra-igx
Description: Extra tegra-igpu-r36.3 modules for the nvidia-tegra-igx kernel flavour (dummy transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: linux-modules-tegra-mofed-23.10-5.15.0-1018-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-5.15.0-1018-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx,
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree MOFED 23.10 Tegra kernel modules for version 5.15.0-1018
 This package provides the out-of-tree MOFED 23.10 Tegra Linux kernel modules for
 version 5.15.0-1018.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-mofed-23.10-nvidia-tegra-igx kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-mofed-23.10-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends: linux-modules-tegra-mofed-23.10-5.15.0-1018-nvidia-tegra-igx
Description: Extra tegra-mofed-23.10 modules for the nvidia-tegra-igx kernel flavour
 Install extra signed tegra-mofed-23.10 modules compatible with the nvidia-tegra-igx kernel flavour.


Package: linux-modules-tegra-oot-jetson-5.15.0-1018-nvidia-tegra-igx
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
