=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 UNSIGNED_VER=$(VERSION)
 
 FLAVOURS=nvidia-tegra-igx nvidia-tegra-igx-rt
+PACKAGED_BRANCHES=jetson r36.3.1 r36.4.1 lws
+CONTROL_GEN_BRANCHES=jetson r36.4.1 lws
 
 clean: debian/control
 	dh_testdir
@@ -25,17 +27,29 @@
 
 debian/control:
 	cp $(DEBIAN)/control.stub $(DEBIAN)/control.in
+	rm -f $(DEBIAN)/control.branch
+	for branch in $(CONTROL_GEN_BRANCHES); \
+	do \
+		branch_escaped=$${branch//./\\.}; \
+		cat $(DEBIAN)/control.d/branch.stub | sed >>$(DEBIAN)/control.branch \
+			-e "s/@BRANCH@/$$branch/g" \
+			-e "/<!branch\.$$branch_escaped/d" \
+			-e "/<branch\..*>/b @ ; p ; :@ /<branch\.$$branch_escaped>/!d"; \
+	done
 	for flavour in $(FLAVOURS); \
 	do \
-		cat $(DEBIAN)/control.d/flavour.stub | sed >>$(DEBIAN)/control.in \
-			-e "s/@FLAVOUR@/$$flavour/g"; \
+		cat $(DEBIAN)/control.d/flavour.stub $(DEBIAN)/control.branch | sed >>$(DEBIAN)/control.in \
+			-e "s/@FLAVOUR@/$$flavour/g" \
+			-e "/<!flavour\.$$flavour>/d" \
+			-e "/<flavour\..*>/b @ ; p ; :@ /<flavour\.$$flavour>/!d"; \
 	done
-	cat $(DEBIAN)/control.in | sed >debian/control \
+	cat $(DEBIAN)/control.in | sed -E >debian/control \
 		-e "s/@ABI@/$(ABI)/g"				\
 		-e "s/@UNSIGNED_SRC_PACKAGE@/$(UNSIGNED_SRC)/g"	\
 		-e "s/@UNSIGNED_SRC_VERSION@/$(UNSIGNED_VER)/g"	\
-		-e 's/@SRCPKGNAME@/$(SOURCE)/g'
-	
+		-e 's/@SRCPKGNAME@/$(SOURCE)/g' \
+		-e 's/<!?flavour\..*>//g' \
+		-e 's/<!?branch\..*>//g'
 
 .PHONY: debian/control debian/dkms-packages templates override_dh_auto_build override_dh_auto_install clean
 
@@ -50,6 +64,18 @@
 else
 instfile=vmlinuz
 endif
+
+define gen_branch_templates =
+	for i in debian/templates.*branch*; \
+	do \
+		[ -e "$$i" ] || continue; \
+		for b in $(PACKAGED_BRANCHES); \
+		do \
+			dest=`echo $$i | sed -e "s|branch|$$b|g"`; \
+			cp -r "$$i" "$$dest"; \
+		done \
+	done
+endef
 
 define gen_templates =
 	for i in debian/templates/*.in debian/templates.$(2)/*.in; \
@@ -72,6 +98,7 @@
 endef
 
 override_dh_auto_install:
+	$(call gen_branch_templates); \
 	for flavour in $(FLAVOURS); \
 	do \
 		for file in $(UNSIGNED_VER)/$$flavour/*; \
