## linux-nvidia-tegra-igx-modules-signed 5.15.0-1019.19+4

=== debian/changelog ===
linux-nvidia-tegra-igx-modules-signed (5.15.0-1019.19+4) jammy; urgency=medium

  * Main version: 5.15.0-1019.19+4

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1019.19 -proposed tracker
    (LP: #2084602)
    - [Packaging] Fix igpu-igx-defaults transition

 -- Noah Wager <noah.wager@canonical.com>  Thu, 24 Oct 2024 13:38:27 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1019.19+3) jammy; urgency=medium

  * Main version: 5.15.0-1019.19+3

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1019.19 -proposed tracker
    (LP: #2084602)
    - [Packaging] Fix igpu-defaults files for r36.4
    - [Packaging] Clarify metapackage warning message

 -- Noah Wager <noah.wager@canonical.com>  Tue, 22 Oct 2024 18:24:31 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1019.19+2) jammy; urgency=medium

  * Main version: 5.15.0-1019.19+2

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1019.19 -proposed tracker
    (LP: #2084602)
    - [Packaging] Add jetson meta transitional

 -- Noah Wager <noah.wager@canonical.com>  Fri, 18 Oct 2024 22:03:02 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1019.19+1) jammy; urgency=medium

  * Main version: 5.15.0-1019.19+1

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1019.19 -proposed tracker
    (LP: #2084602)
    - [Packaging] debian/rules: Pin ABI for retired branches

 -- Noah Wager <noah.wager@canonical.com>  Fri, 18 Oct 2024 10:42:32 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1019.19) jammy; urgency=medium

  * Main version: 5.15.0-1019.19

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1019.19 -proposed tracker
    (LP: #2084602)
    - [Packaging] Rename to linux-nvidia-tegra-jetson
    - [Packaging] Branch igpu-defaults
    - [Packaging] Branch tegra-oot files
    - [Packaging] Override igpu-defaults for r36.4

 -- Noah Wager <noah.wager@canonical.com>  Thu, 17 Oct 2024 00:54:02 -0700
