=== debian/control ===
--- 
+++ 
@@ -4,21 +4,17 @@
 Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
 Build-Depends: debhelper (>= 10), dh-exec
 Build-Depends-Arch:
- linux-nvidia-tegra-igx-modules (= 5.15.0-1018.18+1),
+ linux-nvidia-tegra-igx-modules (= 5.15.0-1019.19+4),
  python3,
  python3-apt,
 Standards-Version: 3.9.4
 
 Package: linux-nvidia-tegra-igx-tegra-igpu-igx-defaults
 Architecture: all
-Multi-Arch: foreign
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}
-Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel
-Description: Extra configuration required for IGX Orin iGPU modules.
- This package contains modprobe.d configuration required for loading IGX Orin
- iGPU modules with the appropriate module parameters.
+Section: oldlibs
+Priority: optional
+Description: Extra configuration required for IGX Orin iGPU modules (empty dummy package)
+ This package can be safely removed.
 
 Package: linux-nvidia-tegra-igx-r36.3
 Architecture: arm64
@@ -64,7 +60,7 @@
 Depends:
  ${misc:Depends},
  linux-image-5.15.0-1018-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx,
- linux-nvidia-tegra-igx-tegra-igpu-igx-defaults (>= ${binary:Version}),
+ linux-nvidia-tegra-igx-tegra-igpu-r36.3.1-defaults (>= ${binary:Version}),
 Provides: linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx
 Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
  linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx
@@ -155,7 +151,7 @@
 Depends:
  ${misc:Depends},
  linux-image-5.15.0-1018-nvidia-tegra-igx-rt | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx-rt,
- linux-nvidia-tegra-igx-tegra-igpu-igx-defaults (>= ${binary:Version}),
+ linux-nvidia-tegra-igx-tegra-rt-igpu-r36.3.1-defaults (>= ${binary:Version}),
 Provides: linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx-rt
 Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
  linux-nvidia-tegra-igx-tegra-igpu-branch-5.15.0-1018-nvidia-tegra-igx-rt
@@ -226,17 +222,17 @@
 Description: Extra tegra-igpu-r36.3 modules for the nvidia-tegra-igx kernel flavour (dummy transitional package)
  Transitional package for upgrades. This package can be safely removed.
 
-Package: linux-modules-tegra-mofed-23.10-5.15.0-1018-nvidia-tegra-igx
-Architecture: arm64
-Section: kernel
-Priority: optional
-Depends:
- ${misc:Depends},
- linux-image-5.15.0-1018-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1018-nvidia-tegra-igx,
-Built-Using: ${linux:BuiltUsing}
-Description: Out-of-tree MOFED 23.10 Tegra kernel modules for version 5.15.0-1018
+Package: linux-modules-tegra-mofed-23.10-5.15.0-1019-nvidia-tegra-igx
+Architecture: arm64
+Section: kernel
+Priority: optional
+Depends:
+ ${misc:Depends},
+ linux-image-5.15.0-1019-nvidia-tegra-igx | linux-image-unsigned-5.15.0-1019-nvidia-tegra-igx,
+Built-Using: ${linux:BuiltUsing}
+Description: Out-of-tree MOFED 23.10 Tegra kernel modules for version 5.15.0-1019
  This package provides the out-of-tree MOFED 23.10 Tegra Linux kernel modules for
- version 5.15.0-1018.
+ version 5.15.0-1019.
  .
  You likely do not want to install this package directly. Instead, install the
  linux-modules-tegra-mofed-23.10-nvidia-tegra-igx kernel meta package, which will ensure
@@ -246,14 +242,17 @@
 Architecture: arm64
 Section: kernel
 Priority: optional
-Depends: linux-modules-tegra-mofed-23.10-5.15.0-1018-nvidia-tegra-igx
+Depends: linux-modules-tegra-mofed-23.10-5.15.0-1019-nvidia-tegra-igx
 Description: Extra tegra-mofed-23.10 modules for the nvidia-tegra-igx kernel flavour
  Install extra signed tegra-mofed-23.10 modules compatible with the nvidia-tegra-igx kernel flavour.
 
-
-Package: linux-modules-tegra-oot-jetson-5.15.0-1018-nvidia-tegra-igx
-Architecture: arm64
-Section: kernel
-Priority: optional
-Depends:
- ${misc:Depends},
+Package: linux-nvidia-tegra-igx-jetson
+Architecture: arm64
+Section: oldlibs
+Priority: optional
+Depends:
+ linux-nvidia-tegra-jetson 
+Description: Meta package for Tegra-IGX kernel with @BRANCH@ out-of-tree modules (dummy transitional package)
+ Transitional package for upgrades. This package can be safely removed.
+
+
