=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,26 @@
 
 FLAVOURS=nvidia-tegra-igx nvidia-tegra-igx-rt
 PACKAGED_BRANCHES=jetson r36.3.1 r36.4.1 lws
-CONTROL_GEN_BRANCHES=jetson r36.4.1 lws
+# List of retired branches and their pinned ABI. Format is <branch>=<abi>
+RETIRED_BRANCHES=r36.3.1=5.15.0-1018
+# Generate control stanzas for only these branches, i.e PACKAGED_BRANCHES/RETIRED_BRANCHES
+CONTROL_GEN_BRANCHES=$(filter-out $(shell echo "$(RETIRED_BRANCHES)" | sed -E 's/(\S+)=\S+/\1/g'),$(PACKAGED_BRANCHES))
 
-clean: debian/control
+OVERRIDES=debian/file-overrides
+
+clean: debian/control branches
 	dh_testdir
 	dh_testroot
 	rm -rf ./$(UNSIGNED_VER)
 	dh_clean
 
+branches:
+	$(call gen_branch_files)
+	$(call gen_branch_templates)
+	[ -d "$(OVERRIDES)" ] && for f in $(OVERRIDES)/*; \
+	do \
+		cp -r $$f debian/; \
+	done
 
 debian/control:
 	cp $(DEBIAN)/control.stub $(DEBIAN)/control.in
@@ -51,7 +63,7 @@
 		-e 's/<!?flavour\..*>//g' \
 		-e 's/<!?branch\..*>//g'
 
-.PHONY: debian/control debian/dkms-packages templates override_dh_auto_build override_dh_auto_install clean
+.PHONY: debian/control debian/dkms-packages templates override_dh_auto_build override_dh_auto_install clean branches
 
 %:
 	dh $@
@@ -65,6 +77,20 @@
 instfile=vmlinuz
 endif
 
+define gen_branch_files =
+	find debian/files.*branch* -type f | while read -r i; \
+	do \
+		[ -e "$$i" ] || continue; \
+		for b in $(PACKAGED_BRANCHES); \
+		do \
+			dest=`echo $$i | sed -e "s|branch|$$b|g"`; \
+			[ -e "$(OVERRIDES)/$$dest" ] && continue; \
+			mkdir -p "$${dest%/*}"; \
+			sed -e "s|@branch@|$$b|g" "$$i" > "$$dest"; \
+		done \
+	done
+endef
+
 define gen_branch_templates =
 	for i in debian/templates.*branch*; \
 	do \
@@ -72,6 +98,7 @@
 		for b in $(PACKAGED_BRANCHES); \
 		do \
 			dest=`echo $$i | sed -e "s|branch|$$b|g"`; \
+			[ -e "$(OVERRIDES)/$$dest" ] && continue; \
 			cp -r "$$i" "$$dest"; \
 		done \
 	done
@@ -87,6 +114,7 @@
 				 sed -e "s|flavour|$(1)|g" | \
 				 sed -e "s|kernelabiversion|$(ABI)|g" | \
 				 sed -e "s|modpkg|$(2)|g"`; \
+		[ -e "$(OVERRIDES)/$$dest" ] && continue; \
 		sed -e "s|@abiname@|$(ABI)|g" \
 			-e "s|@localversion@|-$(1)|g" \
 			-e "s|@image-stem@|$(instfile)|g" \
@@ -97,26 +125,44 @@
 	done
 endef
 
-override_dh_auto_install:
-	$(call gen_branch_templates); \
+override_dh_auto_install: install-igpu-defaults
 	for flavour in $(FLAVOURS); \
 	do \
 		for file in $(UNSIGNED_VER)/$$flavour/*; \
 		do \
 			destpkg=$$(basename $$file); \
+			mod_abi=$(ABI); \
+			for branch in $(PACKAGED_BRANCHES); \
+			do \
+				echo "$$destpkg" | grep -q "$$branch" || continue; \
+				branch_abi=$$(echo "$(RETIRED_BRANCHES)" | grep -oE "$$branch=\S+" | sed "s/$$branch=//"); \
+				if ! [ -z "$$branch_abi" ]; then \
+					mod_abi="$$branch_abi"; \
+					continue; \
+				fi; \
+			done; \
 			find "$(UNSIGNED_VER)/$$flavour/$$destpkg/" -name "*.ko" -print | \
 			while read -r path; \
 			do \
 				module=$$(basename "$$path"); \
-				package="linux-modules-$$destpkg-$(ABI)-$$flavour"; \
+				package="linux-modules-$$destpkg-$$mod_abi-$$flavour"; \
 				cp $$path $$path.tmp; \
 				cat $$path.tmp $$path.sig >$$path; \
 				rm $$path.tmp; \
 				echo "$$package: adding $$module"; \
-				dh_install -p"$$package" "$$path" "/lib/modules/$(ABI)-$$flavour/updates/$$destpkg"; \
+				dh_install -p"$$package" "$$path" "/lib/modules/$$mod_abi-$$flavour/updates/$$destpkg"; \
 			done; \
 			$(call gen_templates,$$flavour,$$destpkg); \
 		done; \
 	done
 
 	dh_install
+
+install-igpu-defaults:
+	for flavour in $(FLAVOURS); \
+	do \
+		for b in $(PACKAGED_BRANCHES); \
+		do \
+			$(call gen_templates,$$flavour,tegra-igpu-$$b-defaults); \
+		done \
+	done
